#ifdef ARC_NONE_GRAPHICS

#include "arc/graphics/rectangle.h"
#include <stdio.h>

void ARC_Rect_Render(ARC_Rect *rect, ARC_Renderer *renderer, ARC_Color *color){
    printf("No Graphics Backend Selected\n");
}

void ARC_Rect_RenderFill(ARC_Rect *rect, ARC_Renderer *renderer, ARC_Color *color){
    printf("No Graphics Backend Selected\n");
}

void ARC_FRect_Render(ARC_FRect *rect, ARC_Renderer *renderer, ARC_Color *color){
    printf("No Graphics Backend Selected\n");
}

void ARC_FRect_RenderFill(ARC_FRect *rect, ARC_Renderer *renderer, ARC_Color *color){
    printf("No Graphics Backend Selected\n");
}

#endif // !ARC_NONE_GRAPHICS